<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en">
<head>
	<title>CarbonPHP Documentation</title>
	<style type="text/css">
		* {
			margin: 0;
			padding: 0;
		}

		html {
			font-family: "Lucida Sans Unicode", "Lucida Grande";
			font-size: 14px;
		}

		body {
			background: #fff;
			color: #666;
		}

		h1 {
			font-size: 15px;
			font-weight: bold;
			margin: 0 0 5px 0;
		}

		h2 {
			font-size: 13px;
			font-weight: bold;
			margin: 5px 0 5px 0;
		}

		ol, ul {
			margin: 10px 0 10px 0;
			list-style-position: inside;
		}

		p {
			margin: 5px 0 5px 0;
		}

		.content {
			border: 1px dotted #444;
			margin: 10px;
			padding: 10px;
			text-align: justify;
			width: 700px;
		}

		.example {
			border: 1px solid #ccc;
			background: #eee;
			margin: 10px;
			padding: 10px;
		}
	</style>
</head>

<body>
	<div class="content">
		<h1>Pagination Library</h1>

		<p>CarbonPHP's pagination library is very simple to use, and you can customise every aspect of it.</p>
	</div>

	<div class="content">
		<h1>Pagination Example</h1>

		<div class="example">
			$this->load->library('pagination');<br />
			<br />
			$config['base_url'] = 'http://www.your-domain.com/index.php/some/page';<br />
			$config['total_rows'] = '400';<br />
			$config['per_page'] = '20';<br />
			<br />
			$this->pagination->initialise($config);<br />
			<br />
			echo $this->pagination->create_links();
		</div>

		<p>The <b>$config</b> array contains any configuration options.  It is passed to the
		<b>$this->pagination->initialise()</b> method.</p>

		<p>If you do not wish to set the configuration options every time, you can create a configuration file
		<b>application/config/pagination.php</b> with the configuration options in.</p>
	</div>

	<div class="content">
		<h1>Configuration Options</h1>

		<p><b>$config['uri_segment']</b> - This determines which segment of the URI contains the page number.</p>

		<p><b>$config['num_links']</b> - This determines the number of digit links are either side of the current
		page number.</p>

		<p><b>$config['full_tag_open']</b> - This is the opening tag placed of the left of the entire result.</p>

		<p><b>$config['full_tag_close']</b> - This is the closing tag placed at the end of the result.</p>

		<p><b>$config['first_link']</b> - This is the text shown for the first link on the left.</p>

		<p><b>$config['first_tag_open']</b> - This is the tag on the left of the first link.</p>

		<p><b>$config['first_tag_close']</b> - This is the tag on the end of the first link.</p>

		<p><b>$config['last_link']</b> - This is the text shown for the last link on the right.</p>

		<p><b>$config['last_tag_open']</b> - This is the tag on the left of the last link.</p>

		<p><b>$config['last_tag_close']</b> - This is the tag on the end of the last link.</p>

		<p><b>$config['next_link']</b> - This is the text of the next page link.</p>

		<p><b>$config['next_tag_open']</b> - This is the tag on the left of the next page link.</p>

		<p><b>$config['next_tag_close']</b> - This is the tag on the end of the next page link.</p>

		<p><b>$config['prev_link']</b> - This is the text of the previous page link.</p>

		<p><b>$config['prev_tag_open']</b> - This is the tag on the left of the previous page link.</p>

		<p><b>$config['prev_tag_close']</b> - This is the tag on the end of the previous page link.</p>

		<p><b>$config['cur_tag_open']</b> - This is the opening tag for the current page link.</p>

		<p><b>$config['cur_tag_close']</b> - This is the closing tag for the current page link.</p>

		<p><b>$config['num_tag_open']</b> - This is the opening tag for the digit link.</p>

		<p><b>$config['num_tag_close']</b> - This is the closing tag for the digit link.</p>
	</div>

</body>

</html>
